declare module 'passport-icynet' {
  declare class Strategy {
    name?: string | undefined;
    authenticate(
      this: StrategyCreated<this>,
      req: express.Request,
      options?: any,
    ): any;
    constructor(
      options: {
        clientID: string;
        clientSecret: string;
        callbackURL: string;
        scope?: string[];
      },
      callback: (
        accessToken: string,
        refreshToken: string,
        profile: any,
        done: Function,
      ) => void,
    );
  }
}
